## stayrtr 0.3.0

=== Makefile ===
EXTENSION ?= 
DIST_DIR ?= dist/
GOOS ?= linux
ARCH ?= $(shell uname -m)
BUILDINFOSDET ?= 

DOCKER_REPO   := bgp/
STAYRTR_NAME    := stayrtr
STAYRTR_VERSION := $(shell git describe --tags $(git rev-list --tags --max-count=1))
VERSION_PKG   := $(shell echo $(STAYRTR_VERSION) | sed 's/^v//g')
ARCH          := x86_64
LICENSE       := BSD-3
URL           := https://github.com/bgp/stayrtr
DESCRIPTION   := StayRTR: a RPKI-to-Router server
BUILDINFOS    :=  ($(shell date +%FT%T%z)$(BUILDINFOSDET))
LDFLAGS       := '-X main.version=$(STAYRTR_VERSION) -X main.buildinfos=$(BUILDINFOS)'

RTRDUMP_NAME  := rtrdump
RTRMON_NAME   := rtrmon

OUTPUT_STAYRTR := $(DIST_DIR)stayrtr-$(STAYRTR_VERSION)-$(GOOS)-$(ARCH)$(EXTENSION)
OUTPUT_RTRDUMP := $(DIST_DIR)rtrdump-$(STAYRTR_VERSION)-$(GOOS)-$(ARCH)$(EXTENSION)
OUTPUT_RTRMON := $(DIST_DIR)rtrmon-$(STAYRTR_VERSION)-$(GOOS)-$(ARCH)$(EXTENSION)

.PHONY: vet
vet:
	go vet cmd/stayrtr/stayrtr.go

.PHONY: test
test:
	go test -v github.com/bgp/stayrtr/lib
	go test -v github.com/bgp/stayrtr/prefixfile

.PHONY: prepare
prepare:
	mkdir -p $(DIST_DIR)

.PHONY: clean
clean:
	rm -rf $(DIST_DIR)

.PHONY: build-stayrtr
build-stayrtr: prepare
	go build -ldflags $(LDFLAGS) -o $(OUTPUT_STAYRTR) cmd/stayrtr/stayrtr.go 

.PHONY: build-rtrdump
build-rtrdump:
	go build -ldflags $(LDFLAGS) -o $(OUTPUT_RTRDUMP) cmd/rtrdump/rtrdump.go 

.PHONY: build-rtrmon
build-rtrmon:
	go build -ldflags $(LDFLAGS) -o $(OUTPUT_RTRMON) cmd/rtrmon/rtrmon.go 

.PHONY: docker-stayrtr
docker-stayrtr:
	docker build -t $(DOCKER_REPO)$(STAYRTR_NAME):$(STAYRTR_VERSION) --build-arg LDFLAGS=$(LDFLAGS) -f Dockerfile.stayrtr .

.PHONY: docker-rtrdump
docker-rtrdump:
	docker build -t $(DOCKER_REPO)$(RTRDUMP_NAME):$(STAYRTR_VERSION) --build-arg LDFLAGS=$(LDFLAGS) -f Dockerfile.rtrdump .

.PHONY: docker-rtrmon
docker-rtrmon:
	docker build -t $(DOCKER_REPO)$(RTRMON_NAME):$(STAYRTR_VERSION) --build-arg LDFLAGS=$(LDFLAGS) -f Dockerfile.rtrmon .

.PHONY: package-deb-stayrtr
package-deb-stayrtr: prepare
	fpm -s dir -t deb -n $(STAYRTR_NAME) -v $(VERSION_PKG) \
        --description "$(DESCRIPTION)"  \
        --url "$(URL)" \
        --architecture $(ARCH) \
        --license "$(LICENSE)" \
        --package $(DIST_DIR) \
        $(OUTPUT_STAYRTR)=/usr/bin/stayrtr \
        package/stayrtr.service=/lib/systemd/system/stayrtr.service \
        package/stayrtr.env=/etc/default/stayrtr \
        $(OUTPUT_RTRDUMP)=/usr/bin/rtrdump \
        $(OUTPUT_RTRMON)=/usr/bin/rtrmon

.PHONY: package-rpm-stayrtr
package-rpm-stayrtr: prepare
	fpm -s dir -t rpm -n $(STAYRTR_NAME) -v $(VERSION_PKG) \
	--description "$(DESCRIPTION)" \
	--url "$(URL)" \
	--architecture $(ARCH) \
	--license "$(LICENSE) "\
	--package $(DIST_DIR) \
	$(OUTPUT_STAYRTR)=/usr/bin/stayrtr \
	package/stayrtr.service=/lib/systemd/system/stayrtr.service \
	package/stayrtr.env=/etc/default/stayrtr \
	$(OUTPUT_RTRDUMP)=/usr/bin/rtrdump \
	$(OUTPUT_RTRMON)=/usr/bin/rtrmon

=== debian/changelog ===
stayrtr (0.3.0-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 16:47:11 +0000

stayrtr (0.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 07 Nov 2021 14:02:40 +0100

stayrtr (0.2+20210721-1) experimental; urgency=medium

  * Initial release.

 -- Marco d'Itri <md@linux.it>  Sat, 24 Jul 2021 00:39:21 +0200

=== debian/control ===
Source: stayrtr
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12), dh-golang,
 golang-any,
 golang-github-prometheus-client-golang-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 golang-logrus-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/md/stayrtr
Vcs-Git: https://salsa.debian.org/md/stayrtr.git
Homepage: https://github.com/bgp/stayrtr
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/bgp/stayrtr

Package: stayrtr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 adduser
Built-Using: ${misc:Built-Using}
Description: RPKI to Router server
 StayRTR is an implementation of the RPKI to Router protocol (RFC 6810):
 it can be used to publish Resource Public Key Infrastructure (RFC 6480)
 prefix origin data from a trusted cache to BGP routers.

Package: golang-github-bgp-stayrtr-dev
Architecture: all
Section: devel
Depends: ${misc:Depends},
 golang-github-prometheus-client-golang-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 golang-logrus-dev,
Description: Cloudflare's RPKI to router library
 StayRTR is an implementation of the RPKI to router protocol (RFC 6810).

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%stayrtr-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/bgp/stayrtr/tags .*/v?(\d\S*)\.tar\.gz debian

## stayrtr 0.4.0

=== debian/changelog ===
stayrtr (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Thu, 26 Jan 2023 02:27:26 +0100

stayrtr (0.3.0-2) unstable; urgency=medium

  * Conflict with gortr. (Closes: #998818)
  * Remove the obsolete -verify option from the defaults file.
    (Closes: #1004328)

 -- Marco d'Itri <md@linux.it>  Tue, 17 May 2022 04:04:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: stayrtr
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Marco d'Itri <md@linux.it>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12), dh-golang,
+Build-Depends: debhelper-compat (= 13), dh-golang,
+ dh-sequence-golang,
+ dh-sequence-installsysusers, debhelper (>= 13.9),
  golang-any,
+ golang-github-google-go-cmp-dev,
  golang-github-prometheus-client-golang-dev,
  golang-github-stretchr-testify-dev,
  golang-golang-x-crypto-dev,
  golang-logrus-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/md/stayrtr
 Vcs-Git: https://salsa.debian.org/md/stayrtr.git
 Homepage: https://github.com/bgp/stayrtr
@@ -22,6 +24,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  adduser
+Conflicts: gortr
 Built-Using: ${misc:Built-Using}
 Description: RPKI to Router server
  StayRTR is an implementation of the RPKI to Router protocol (RFC 6810):
@@ -36,5 +39,6 @@
  golang-github-stretchr-testify-dev,
  golang-golang-x-crypto-dev,
  golang-logrus-dev,
+Multi-Arch: foreign
 Description: Cloudflare's RPKI to router library
  StayRTR is an implementation of the RPKI to router protocol (RFC 6810).

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all future=+lfs

export DH_GOLANG_INSTALL_EXTRA=cmd/rtrmon/index.html.tmpl cmd/stayrtr/smalltest.rpki.json prefixfile/slurm.json

%:
	dh $@ --builddirectory=_build

## stayrtr 0.5.0

=== debian/changelog ===
stayrtr (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 27 Feb 2023 03:36:29 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 Package: golang-github-bgp-stayrtr-dev
 Architecture: all
-Section: devel
+Section: golang
 Depends: ${misc:Depends},
  golang-github-prometheus-client-golang-dev,
  golang-github-stretchr-testify-dev,

## stayrtr 0.5.1

=== Makefile ===
EXTENSION ?= 
DIST_DIR ?= dist/
GOOS ?= linux
ARCH ?= $(shell uname -m)
BUILDINFOSDET ?= 

DOCKER_REPO   := rpki/
STAYRTR_NAME    := stayrtr
STAYRTR_VERSION := $(shell git describe --tags $(git rev-list --tags --max-count=1))
VERSION_PKG   := $(shell echo $(STAYRTR_VERSION) | sed 's/^v//g')
ARCH          := x86_64
LICENSE       := BSD-3
URL           := https://github.com/bgp/stayrtr
DESCRIPTION   := StayRTR: a RPKI-to-Router server
BUILDINFOS    :=  ($(shell date +%FT%T%z)$(BUILDINFOSDET))
LDFLAGS       ?= '-X main.version=$(STAYRTR_VERSION) -X main.buildinfos=$(BUILDINFOS)'

RTRDUMP_NAME  := rtrdump
RTRMON_NAME   := rtrmon

SUFFIX ?= -$(STAYRTR_VERSION)-$(GOOS)-$(ARCH)$(EXTENSION)

OUTPUT_STAYRTR := $(DIST_DIR)stayrtr$(SUFFIX)
OUTPUT_RTRDUMP := $(DIST_DIR)rtrdump$(SUFFIX)
OUTPUT_RTRMON := $(DIST_DIR)rtrmon$(SUFFIX)

export CGO_ENABLED ?= 0


.PHONY: build-all
build-all: vet build-stayrtr build-rtrdump build-rtrmon

.PHONY: vet
vet:
	go vet cmd/stayrtr/stayrtr.go

.PHONY: test
test:
	go test -v github.com/bgp/stayrtr/lib
	go test -v github.com/bgp/stayrtr/prefixfile
	go test -v github.com/bgp/stayrtr/cmd/rtrmon
	go test -v github.com/bgp/stayrtr/cmd/stayrtr

.PHONY: prepare
prepare:
	mkdir -p $(DIST_DIR)

.PHONY: clean
clean:
	rm -rf $(DIST_DIR)

.PHONY: build-stayrtr
build-stayrtr: prepare
	go build -trimpath -ldflags $(LDFLAGS) -o $(OUTPUT_STAYRTR) cmd/stayrtr/stayrtr.go

.PHONY: build-rtrdump
build-rtrdump:
	go build -trimpath -ldflags $(LDFLAGS) -o $(OUTPUT_RTRDUMP) cmd/rtrdump/rtrdump.go

.PHONY: build-rtrmon
build-rtrmon:
	go build -trimpath -ldflags $(LDFLAGS) -o $(OUTPUT_RTRMON) cmd/rtrmon/rtrmon.go

.PHONY: docker
docker:
	docker build -t $(DOCKER_REPO)$(STAYRTR_NAME) --target stayrtr .
	docker build -t $(DOCKER_REPO)$(RTRDUMP_NAME) --target rtrdump .
	docker build -t $(DOCKER_REPO)$(RTRMON_NAME) --target rtrmon .

.PHONY: package-deb-stayrtr
package-deb-stayrtr: prepare
	fpm -s dir -t deb -n $(STAYRTR_NAME) -v $(VERSION_PKG) \
        --description "$(DESCRIPTION)"  \
        --url "$(URL)" \
        --architecture $(ARCH) \
        --license "$(LICENSE)" \
        --package $(DIST_DIR) \
		--after-install package/after-install-debian.sh \
		package/.keep=/usr/share/stayrtr/.keep \
        $(OUTPUT_STAYRTR)=/usr/bin/stayrtr \
        package/stayrtr.service=/lib/systemd/system/stayrtr.service \
        package/stayrtr.env=/etc/default/stayrtr \
        $(OUTPUT_RTRDUMP)=/usr/bin/rtrdump \
        $(OUTPUT_RTRMON)=/usr/bin/rtrmon

.PHONY: package-rpm-stayrtr
package-rpm-stayrtr: prepare
	fpm -s dir -t rpm -n $(STAYRTR_NAME) -v $(VERSION_PKG) \
	--description "$(DESCRIPTION)" \
	--url "$(URL)" \
	--architecture $(ARCH) \
	--license "$(LICENSE) "\
	--package $(DIST_DIR) \
	$(OUTPUT_STAYRTR)=/usr/bin/stayrtr \
	package/.keep=/usr/share/stayrtr/.keep \
	package/stayrtr.service=/lib/systemd/system/stayrtr.service \
	package/stayrtr.env=/etc/default/stayrtr \
	$(OUTPUT_RTRDUMP)=/usr/bin/rtrdump \
	$(OUTPUT_RTRMON)=/usr/bin/rtrmon
	mv *.rpm dist/ # It's unclear why we need to do this, but i assume it's a FPM bug.

=== debian/changelog ===
stayrtr (0.5.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Marco d'Itri <md@linux.it>  Tue, 04 Apr 2023 11:10:16 +0200

stayrtr (0.5.1-2) unstable; urgency=medium

  * Default to use /var/lib/rpki-client/json (from rpki-client) as the source
    instead of the octorpki URL, since they are much better integrated.
  * Recommend rpki-client.

 -- Marco d'Itri <md@linux.it>  Tue, 28 Mar 2023 23:09:15 +0200

stayrtr (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 05 Mar 2023 01:11:49 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13), dh-golang,
  dh-sequence-golang,
  dh-sequence-installsysusers, debhelper (>= 13.9),
- golang-any,
+ golang-any (>= 1.19),
  golang-github-google-go-cmp-dev,
  golang-github-prometheus-client-golang-dev,
  golang-github-stretchr-testify-dev,
@@ -24,6 +24,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  adduser
+Recommends: rpki-client
 Conflicts: gortr
 Built-Using: ${misc:Built-Using}
 Description: RPKI to Router server

## stayrtr 0.5.1%2B20240209

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: stayrtr
-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -7,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13), dh-golang,
  dh-sequence-golang,
  dh-sequence-installsysusers, debhelper (>= 13.9),
- golang-any (>= 1.19),
+ golang-any,
  golang-github-google-go-cmp-dev,
  golang-github-prometheus-client-golang-dev,
  golang-github-stretchr-testify-dev,
@@ -23,7 +24,6 @@
 Package: stayrtr
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- adduser
 Recommends: rpki-client
 Conflicts: gortr
 Built-Using: ${misc:Built-Using}
@@ -37,9 +37,9 @@
 Section: golang
 Depends: ${misc:Depends},
  golang-github-prometheus-client-golang-dev,
+ golang-github-sirupsen-logrus-dev,
  golang-github-stretchr-testify-dev,
  golang-golang-x-crypto-dev,
- golang-logrus-dev,
 Multi-Arch: foreign
 Description: Cloudflare's RPKI to router library
  StayRTR is an implementation of the RPKI to router protocol (RFC 6810).

## stayrtr 0.5.1+20230514

=== debian/changelog ===
stayrtr (0.5.1+20230514-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 24 Sep 2023 23:09:24 +0200

## stayrtr 0.5.1+20231221

=== debian/changelog ===
stayrtr (0.5.1+20231221-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Tue, 06 Feb 2024 04:18:24 +0100

## stayrtr 0.5.1+20240209

=== debian/changelog ===
stayrtr (0.5.1+20240209-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Thu, 22 Feb 2024 17:09:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: stayrtr
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Marco d'Itri <md@linux.it>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go

## stayrtr 0.5.1+20240301

=== debian/changelog ===
stayrtr (0.5.1+20240301-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Marco d'Itri <md@linux.it>  Tue, 28 May 2024 00:09:19 +0200

stayrtr (0.5.1+20240301-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Wed, 13 Mar 2024 10:45:31 +0100

stayrtr (0.5.1+20240209-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Marco d'Itri <md@linux.it>  Thu, 22 Feb 2024 17:14:00 +0100

## stayrtr 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 EXTENSION ?= 
 DIST_DIR ?= dist/
 GOOS ?= linux
-ARCH ?= $(shell uname -m)
+GOARCH ?= x86_64
+ARCH ?= $(GOARCH)
 BUILDINFOSDET ?= 
 
 DOCKER_REPO   := rpki/
 STAYRTR_NAME    := stayrtr
 STAYRTR_VERSION := $(shell git describe --tags $(git rev-list --tags --max-count=1))
 VERSION_PKG   := $(shell echo $(STAYRTR_VERSION) | sed 's/^v//g')
-ARCH          := x86_64
 LICENSE       := BSD-3
 URL           := https://github.com/bgp/stayrtr
 DESCRIPTION   := StayRTR: a RPKI-to-Router server

=== debian/changelog ===
stayrtr (0.6.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Marco d'Itri <md@linux.it>  Fri, 20 Sep 2024 11:15:33 +0200

stayrtr (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 15 Sep 2024 20:54:27 +0200

=== debian/control ===
--- 
+++ 
@@ -40,5 +40,5 @@
  golang-github-stretchr-testify-dev,
  golang-golang-x-crypto-dev,
 Multi-Arch: foreign
-Description: Cloudflare's RPKI to router library
+Description: RPKI to router protocol library
  StayRTR is an implementation of the RPKI to router protocol (RFC 6810).

## stayrtr 0.6.2

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 DOCKER_REPO   := rpki/
 STAYRTR_NAME    := stayrtr
-STAYRTR_VERSION := $(shell git describe --tags $(git rev-list --tags --max-count=1))
+STAYRTR_VERSION := $(shell git describe --always --tags $(git rev-list --tags --max-count=1))
 VERSION_PKG   := $(shell echo $(STAYRTR_VERSION) | sed 's/^v//g')
 LICENSE       := BSD-3
 URL           := https://github.com/bgp/stayrtr
@@ -90,7 +90,6 @@
 	--url "$(URL)" \
 	--architecture $(ARCH) \
 	--license "$(LICENSE) "\
-	--package $(DIST_DIR) \
 	$(OUTPUT_STAYRTR)=/usr/bin/stayrtr \
 	package/.keep=/usr/share/stayrtr/.keep \
 	package/stayrtr.service=/lib/systemd/system/stayrtr.service \

=== debian/changelog ===
stayrtr (0.6.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Marco d'Itri <md@linux.it>  Fri, 04 Apr 2025 00:34:18 +0200

stayrtr (0.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 07 Mar 2025 01:25:57 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  golang-github-stretchr-testify-dev,
  golang-golang-x-crypto-dev,
  golang-logrus-dev,
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.2.0
 Vcs-Browser: https://salsa.debian.org/md/stayrtr
 Vcs-Git: https://salsa.debian.org/md/stayrtr.git
 Homepage: https://github.com/bgp/stayrtr

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all future=+lfs

export DH_GOLANG_INSTALL_EXTRA=\
	cmd/rtrmon/index.html.tmpl \
	cmd/stayrtr/smalltest.rpki.json \
	cmd/stayrtr/test.rpki.json prefixfile/test.rpki.json \
	prefixfile/slurm.json

%:
	dh $@ --builddirectory=_build

## stayrtr 0.6.2+20251113

=== Makefile ===
--- 
+++ 
@@ -89,11 +89,11 @@
 	--description "$(DESCRIPTION)" \
 	--url "$(URL)" \
 	--architecture $(ARCH) \
-	--license "$(LICENSE) "\
+	--license "$(LICENSE)" \
+    --package $(DIST_DIR) \
 	$(OUTPUT_STAYRTR)=/usr/bin/stayrtr \
 	package/.keep=/usr/share/stayrtr/.keep \
 	package/stayrtr.service=/lib/systemd/system/stayrtr.service \
 	package/stayrtr.env=/etc/default/stayrtr \
 	$(OUTPUT_RTRDUMP)=/usr/bin/rtrdump \
 	$(OUTPUT_RTRMON)=/usr/bin/rtrmon
-	mv *.rpm dist/ # It's unclear why we need to do this, but i assume it's a FPM bug.

=== debian/changelog ===
stayrtr (0.6.2+20251113-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + serving stale VRPs when the validator is stuck. (Closes: #1120625)

 -- Marco d'Itri <md@linux.it>  Sun, 16 Nov 2025 13:42:02 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 Recommends: rpki-client
 Conflicts: gortr
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: RPKI to Router server
  StayRTR is an implementation of the RPKI to Router protocol (RFC 6810):
  it can be used to publish Resource Public Key Infrastructure (RFC 6480)

=== debian/watch ===
Version: 5

Template: Github
Owner: bgp
Project: stayrtr

## stayrtr 0.6.3

=== debian/changelog ===
stayrtr (0.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Jan 2026 01:29:22 +0100
